
# Part of secure irc-invite script v 0.9 by pexi
# If you want to change the announce lines, scroll down and edit
# Note: If someone tries to get invited with wrong pass/user and his host
# is not added, it will not announce him as irc-invite intruder
# If his host is not added and given user and pass are correct, then he will
# be adviced to add his host from site.
# If you dont have passchk already compiled in your glftpdbin dir 
# then do it with:
# gcc -lcrypt -O2 -o passchk passchk.c
# If you have the passchk that comes with darkones zs then you dont need to
# do this

                             
# CONFIG #

# Users will be invited here
set sitechan "#sitechannel"
# Hmm i wonder what this is for
set trigger "!invite"
# Path to px-inv_verify.sh
set verify_binary {/glftpd/bin/px-inv_verify.sh}
# Passchk binary
set passchk {/glftpd/bin/passchk}
# Glftpd's passwd file
set passwd {/glftpd/etc/passwd}
# If this is set to "0" the bot wont announce invites
# and it will not inform the user if his host is not added
set shutup "0"
# Where to announce if shutup is 0
set announcechan "$sitechan"

# CONFIG DONE #

bind msg - $trigger inv
proc inv { nick uhost hand arg } {
global verify_binary passchk passwd shutup sitechan announcechan
set user [lindex $arg 0]
set pass [lindex $arg 1]
set host [exec $verify_binary $user]
set checkpass [exec $passchk $user $pass $passwd] 
if { [string match $checkpass "MATCH" ] && [string match -nocase $host $uhost] } {  
putserv "invite $nick $sitechan"
} else {
if { [string match $shutup "0"]  &&  [string match $checkpass "NOMATCH"] && [string match -nocase $host $uhost] }  {
putquick "PRIVMSG $announcechan :\002(IRC-INVITE INTRUDER) -  $user\002 ($uhost) tried to get invited with a wrong login!" }
}
if { [string match $shutup "0"]  &&  [string match $checkpass "MATCH"] && [string match -nocase $host $uhost] }  {
putquick "PRIVMSG $announcechan :\002(IRC-INVITE) - $user\002 invited himself as \002$nick\002"
}
if { [string match $shutup "0"] && [string match $checkpass "MATCH"] && [string match $host "NOTFOUND"]} {
putquick "PRIVMSG $nick :Secure IRC-invite script by pexi"
putquick "PRIVMSG $nick :To get invited from irc, you must add your irc host from the site with site irc_inv add <host>"
}
}


putlog "Secure irc-invite script v.0.9 by pexi loaded"